diff -urN punbb-1.3.2/README punbb-1.3.3/README
--- punbb-1.3.2/README	2008-10-31 09:04:18.000000000 +0000
+++ punbb-1.3.3/README	2009-04-17 12:51:23.000000000 +0000
@@ -30,7 +30,7 @@
  2. Log into the forum and go to "Administration" console, "Extensions" section, choose "Install extensions" tab (e.g. http://example.com/punbb/admin/extensions.php?section=install). The downloaded extension will be listed there.
  3. Click the "Install extension" link to install the extension.
 
-NOTE: You may use the pun_admin_repository official PunBB extension to download and install extensions from PunBB repository with one click.
+NOTE: You may use the pun_repository official PunBB extension to download and install extensions from PunBB repository with one click.
 
 	 Maximizing Performance
 	------------------------
@@ -53,8 +53,8 @@
 
 	 Copyright and disclaimer
 	--------------------------
-This package and its contents are copyright (C) 2002-2008 PunBB, all rights reserved.
-Partially based on code copyright (C) 2008 FluxBB.org.
+This package and its contents are (C) 2002-2009 PunBB, all rights reserved.
+Partially based on code (C) 2008-2009 FluxBB.org.
 
 PunBB is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
 
diff -urN punbb-1.3.2/admin/bans.php punbb-1.3.3/admin/bans.php
--- punbb-1.3.2/admin/bans.php	2008-11-26 12:38:16.000000000 +0000
+++ punbb-1.3.3/admin/bans.php	2009-04-17 12:51:23.000000000 +0000
@@ -4,7 +4,7 @@
  *
  * Allows administrators and moderators to create, modify, and delete bans.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
@@ -157,15 +157,17 @@
 		<h2 class="hn"><span><?php echo $lang_admin_bans['Ban advanced heading'] ?></span></h2>
 	</div>
 	<div class="main-content main-frm">
-		<div class="ct-box">
+		<div class="ct-box warn-box">
 			<p class="warn"><?php echo $lang_admin_bans['Ban IP warning'] ?></p>
 		</div>
 		<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo forum_link($forum_url['admin_bans']) ?>">
 			<div class="hidden">
 				<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['admin_bans'])) ?>" />
 				<input type="hidden" name="mode" value="<?php echo $mode ?>" />
-<?php if ($mode == 'edit'): ?>				<input type="hidden" name="ban_id" value="<?php echo $ban_id ?>" />
-<?php endif; ?>			</div>
+<?php if ($mode == 'edit'): ?>
+				<input type="hidden" name="ban_id" value="<?php echo $ban_id ?>" />
+<?php endif; ?>
+			</div>
 <?php ($hook = get_hook('aba_add_edit_ban_pre_criteria_fieldset')) ? eval($hook) : null; ?>
 			<fieldset class="frm-group group<?php echo ++$forum_page['group_count'] ?>">
 				<legend class="group-legend"><span><?php echo $lang_admin_bans['Ban criteria legend'] ?></span></legend>
@@ -484,10 +486,12 @@
 						<h3 class=""><span><?php printf($lang_admin_bans['Current ban head'], $forum_page['ban_creator']) ?></span></h3>
 						<p><?php printf($lang_admin_bans['Edit or remove'], '<a href="'.forum_link($forum_url['admin_bans']).'?edit_ban='.$cur_ban['id'].'">'.$lang_admin_bans['Edit ban'].'</a>', '<a href="'.forum_link($forum_url['admin_bans']).'?del_ban='.$cur_ban['id'].'&amp;csrf_token='.generate_form_token('del_ban'.$cur_ban['id']).'">'.$lang_admin_bans['Remove ban'].'</a>') ?></p>
 					</div>
-<?php if (!empty($forum_page['ban_info'])): ?>				<ul>
+<?php if (!empty($forum_page['ban_info'])): ?>
+				<ul>
 					<?php echo implode("\n", $forum_page['ban_info'])."\n" ?>
 					</ul>
-<?php endif; ?>				</div>
+<?php endif; ?>
+				</div>
 			</div>
 <?php
 
diff -urN punbb-1.3.2/admin/categories.php punbb-1.3.3/admin/categories.php
--- punbb-1.3.2/admin/categories.php	2008-12-01 07:57:37.000000000 +0000
+++ punbb-1.3.3/admin/categories.php	2009-04-17 12:51:23.000000000 +0000
@@ -4,7 +4,7 @@
  *
  * Allows administrators to create, reposition, and remove categories.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.3.2/admin/censoring.php punbb-1.3.3/admin/censoring.php
--- punbb-1.3.2/admin/censoring.php	2008-11-26 12:38:16.000000000 +0000
+++ punbb-1.3.3/admin/censoring.php	2009-04-17 12:51:23.000000000 +0000
@@ -4,7 +4,7 @@
  *
  * Allows administrators and moderators to add, modify, and delete the word censors used by the software when censoring is enabled.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.3.2/admin/db_update.php punbb-1.3.3/admin/db_update.php
--- punbb-1.3.2/admin/db_update.php	2008-12-08 15:02:16.000000000 +0000
+++ punbb-1.3.3/admin/db_update.php	2009-04-17 12:55:05.000000000 +0000
@@ -4,14 +4,14 @@
  *
  * Updates the database to the latest version.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
 
 
-define('UPDATE_TO', '1.3.2');
-define('UPDATE_TO_DB_REVISION', 3);
+define('UPDATE_TO', '1.3.3');
+define('UPDATE_TO_DB_REVISION', 4);
 
 // The number of items to process per pageview (lower this if the update script times out during UTF-8 conversion)
 define('PER_PAGE', 300);
@@ -39,7 +39,8 @@
 	exit('Cannot find config.php, are you sure it exists?');
 
 // Enable debug mode
-define('FORUM_DEBUG', 1);
+if (!defined('FORUM_DEBUG')) 
+	define('FORUM_DEBUG', 1);
 
 // Turn on full PHP error reporting
 error_reporting(E_ALL);
@@ -284,12 +285,15 @@
 	$seems_utf8 = true;
 
 	$query = array(
-		'SELECT'	=> 'MIN(id), MAX(id)',
+		'SELECT'	=> 'MIN(id), MAX(id), COUNT(id)',
 		'FROM'		=> 'posts'
 	);
 
 	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
-	list($min_id, $max_id) = $forum_db->fetch_row($result);
+	list($min_id, $max_id, $count_id) = $forum_db->fetch_row($result);
+
+	if ($count_id == 0)
+		return false;
 
 	// Get a random soup of data and check if it appears to be UTF-8
 	for ($i = 0; $i < 100; ++$i)
@@ -416,7 +420,7 @@
 			<ul class="spaced">
 				<li class="warn"><span><strong>WARNING!</strong> This script will update your PunBB forum database. The update procedure might take anything from a few seconds to a few minutes (or in extreme cases, hours) depending on the speed of the server, the size of the forum database and the number of changes required.</span></li>
 				<li><span>Do not forget to make a backup of the database before continuing.</span></li>
-				<li><span> Did you read the update instructions in the documentation? If not, start there.</span></li>
+				<li><span>Did you read the update instructions in the documentation? If not, start there.</span></li>
 <?php
 
 if (strpos($cur_version, '1.2') === 0 && (!$db_seems_utf8 || isset($_GET['force'])))
@@ -725,7 +729,7 @@
 
 		// Make all IP fields VARCHAR(39) to support IPv6
 		$forum_db->alter_field('posts', 'poster_ip', 'VARCHAR(39)', true);
-		$forum_db->alter_field('user', 'registration_ip', 'VARCHAR(39)', false, '0.0.0.0');
+		$forum_db->alter_field('users', 'registration_ip', 'VARCHAR(39)', false, '0.0.0.0');
 
 		// Add the DST option to the users table
 		$forum_db->add_field('users', 'dst', 'TINYINT(1)', false, 0, 'timezone');
@@ -1991,10 +1995,13 @@
 	<div class="main-content frm">
 		<div class="ct-box info-box">
 			<p>Your forum database was updated successfully.</p>
-<?php if (isset($new_config) && !$written): ?>			<p>In order to complete the process, you must now update your config.php script. <strong>Copy and paste the text in the text box below into the file called config.php in the root directory of your PunBB installation</strong>. The file already exists, so you must edit/overwrite the contents of the old file. You may then <a href="<?php echo $base_url ?>/index.php">go to the forum index</a> once config.php has been updated.</p>
-<?php else: ?>			<p>You may <a href="<?php echo $base_url ?>/index.php">go to the forum index</a> now.</p>
+<?php if (isset($new_config) && !$written): ?>
+			<p>In order to complete the process, you must now update your config.php script. <strong>Copy and paste the text in the text box below into the file called config.php in the root directory of your PunBB installation</strong>. The file already exists, so you must edit/overwrite the contents of the old file. You may then <a href="<?php echo $base_url ?>/index.php">go to the forum index</a> once config.php has been updated.</p>
+<?php else: ?>
+			<p>You may <a href="<?php echo $base_url ?>/index.php">go to the forum index</a> now.</p>
 <?php endif; ?>		</div>
-<?php if (isset($new_config) && !$written): ?>		<form class="frm-form" action="foo">
+<?php if (isset($new_config) && !$written): ?>
+		<form class="frm-form" action="foo">
 			<fieldset class="frm-group group1">
 				<legend class="group-legend"><span>New config.php contents</span></legend>
 				<div class="txt-set set1">
diff -urN punbb-1.3.2/admin/extensions.php punbb-1.3.3/admin/extensions.php
--- punbb-1.3.2/admin/extensions.php	2008-11-10 13:52:46.000000000 +0000
+++ punbb-1.3.3/admin/extensions.php	2009-04-17 12:51:23.000000000 +0000
@@ -4,7 +4,7 @@
  *
  * Allows administrators to control the extensions and hotfixes installed in the site.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
@@ -412,6 +412,12 @@
 	{
 		($hook = get_hook('aex_uninstall_comply_form_submitted')) ? eval($hook) : null;
 
+		$ext_info = array(
+			'id'			=> $id,
+			'path'			=> FORUM_ROOT.'extensions/'.$id,
+			'url'			=> $base_url.'/extensions/'.$id
+		);
+
 		$notices = array();
 
 		// Run uninstall code
diff -urN punbb-1.3.2/admin/forums.php punbb-1.3.3/admin/forums.php
--- punbb-1.3.2/admin/forums.php	2008-11-28 15:50:06.000000000 +0000
+++ punbb-1.3.3/admin/forums.php	2009-04-17 12:51:23.000000000 +0000
@@ -4,7 +4,7 @@
  *
  * Allows administrators to add, modify, and remove forums.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
@@ -425,7 +425,7 @@
 
 	$forum_page['form_info'] = array();
 	if ($cur_forum['redirect_url'])
-		$forum_page['form_info'][] = '<li><span>'.$lang_admin_forums['Forum perms info 2'].'</span></li>';
+		$forum_page['form_info'][] = '<li><span>'.$lang_admin_forums['Forum perms redirect info'].'</span></li>';
 
 	$forum_page['form_info']['read'] = '<li><span>'.$lang_admin_forums['Forum perms read info'].'</span></li>';
 	$forum_page['form_info']['restore'] = '<li><span>'.$lang_admin_forums['Forum perms restore info'].'</span></li>';
diff -urN punbb-1.3.2/admin/groups.php punbb-1.3.3/admin/groups.php
--- punbb-1.3.2/admin/groups.php	2008-10-30 11:00:54.000000000 +0000
+++ punbb-1.3.3/admin/groups.php	2009-04-17 12:51:23.000000000 +0000
@@ -4,7 +4,7 @@
  *
  * Allows administrators to control group permissions.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
@@ -180,8 +180,8 @@
 								<span class="fld-input"><input type="checkbox" id="fld<?php echo ++$forum_page['fld_count'] ?>" name="mod_ban_users" value="1"<?php if ($group['g_mod_ban_users'] == '1') echo ' checked="checked"' ?> /></span>
 								<label for="fld<?php echo $forum_page['fld_count'] ?>"><?php echo $lang_admin_groups['Allow mod bans label'] ?></label>
 							</div>
-						</div>
 <?php ($hook = get_hook('agr_add_edit_group_pre_mod_permissions_fieldset_end')) ? eval($hook) : null; ?>
+						</div>
 					</fieldset>
 <?php ($hook = get_hook('agr_add_edit_group_mod_permissions_fieldset_end')) ? eval($hook) : null; endif; endif; ?>
 					<fieldset class="mf-set set<?php echo ++$forum_page['item_count'] ?>">
@@ -242,9 +242,8 @@
 								<span class="fld-input"><input type="checkbox" id="fld<?php echo ++$forum_page['fld_count'] ?>" name="send_email" value="1"<?php if ($group['g_send_email'] == '1') echo ' checked="checked"' ?> /></span>
 								<label for="fld<?php echo $forum_page['fld_count'] ?>"><?php echo $lang_admin_groups['Allow send email label'] ?></label>
 							</div>
-<?php endif; ?>
+<?php endif; ($hook = get_hook('agr_add_edit_group_pre_user_permissions_fieldset_end')) ? eval($hook) : null; ?>
 						</div>
-<?php ($hook = get_hook('agr_add_edit_group_pre_user_permissions_fieldset_end')) ? eval($hook) : null; ?>
 					</fieldset>
 <?php ($hook = get_hook('agr_add_edit_group_user_permissions_fieldset_end')) ? eval($hook) : null; ?>
 				</fieldset>
diff -urN punbb-1.3.2/admin/index.php punbb-1.3.3/admin/index.php
--- punbb-1.3.2/admin/index.php	2008-11-26 12:38:16.000000000 +0000
+++ punbb-1.3.3/admin/index.php	2009-04-17 12:51:23.000000000 +0000
@@ -4,7 +4,7 @@
  *
  * Gives an overview of some statistics to administrators and moderators.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
@@ -186,7 +186,7 @@
 					<h3 class="ct-legend hn"><span><?php echo $lang_admin_index['PunBB version'] ?></span></h3>
 					<ul class="data-list">
 						<li><span>PunBB <?php echo $forum_config['o_cur_version'] ?></span></li>
-						<li><span>&copy; Copyright 2008 <a href="http://punbb.informer.com/">PunBB</a></span></li>
+						<li><span><?php echo $lang_admin_index['Copyright message'] ?></span></li>
 <?php if (isset($punbb_updates)): ?>
 						<li><span><?php echo $punbb_updates ?></span></li>
 <?php endif; ?>
@@ -218,7 +218,7 @@
 					<ul class="data-list">
 						<li><span><?php echo implode(' ', $forum_db->get_version()) ?></span></li>
 <?php if (isset($total_records) && isset($total_size)): ?>
-							<li><span><?php echo $lang_admin_index['Rows'] ?>: <?php echo forum_number_format($total_records) ?></span></li>
+						<li><span><?php echo $lang_admin_index['Rows'] ?>: <?php echo forum_number_format($total_records) ?></span></li>
 						<li><span><?php echo $lang_admin_index['Size'] ?>: <?php echo $total_size ?></span></li>
 <?php endif; ?>
 					</ul>
diff -urN punbb-1.3.2/admin/install.php punbb-1.3.3/admin/install.php
--- punbb-1.3.2/admin/install.php	2008-12-08 15:02:16.000000000 +0000
+++ punbb-1.3.3/admin/install.php	2009-04-17 12:55:05.000000000 +0000
@@ -4,14 +4,14 @@
  *
  * Used to actually install PunBB.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
 
 
-define('FORUM_VERSION', '1.3.2');
-define('FORUM_DB_REVISION', 3);
+define('FORUM_VERSION', '1.3.3');
+define('FORUM_DB_REVISION', 4);
 define('MIN_PHP_VERSION', '4.3.0');
 define('MIN_MYSQL_VERSION', '4.1.2');
 
@@ -57,7 +57,8 @@
 	return '<?php'."\n\n".'$db_type = \''.$db_type."';\n".'$db_host = \''.$db_host."';\n".'$db_name = \''.addslashes($db_name)."';\n".'$db_username = \''.addslashes($db_username)."';\n".'$db_password = \''.addslashes($db_password)."';\n".'$db_prefix = \''.addslashes($db_prefix)."';\n".'$p_connect = false;'."\n\n".'$base_url = \''.$base_url.'\';'."\n\n".'$cookie_name = '."'".$cookie_name."';\n".'$cookie_domain = '."'';\n".'$cookie_path = '."'/';\n".'$cookie_secure = 0;'."\n\ndefine('FORUM', 1);";
 }
 
-$language = isset($_GET['lang']) ? preg_replace('#[\.\\\/]#', '', $_GET['lang']) : 'English';
+$language = isset($_GET['lang']) ? $_GET['lang'] : (isset($_POST['req_language']) ? forum_trim($_POST['req_language']) : 'English');
+$language = preg_replace('#[\.\\\/]#', '', $language);
 if (!file_exists(FORUM_ROOT.'lang/'.$language.'/install.php'))
 	exit('The language pack you have chosen doesn\'t seem to exist or is corrupt. Please recheck and try again.');
 
@@ -83,6 +84,7 @@
 	exit;
 }
 
+header('Content-Type: text/xml; charset=utf-8');
 
 if (!isset($_POST['form_sent']))
 {
@@ -459,7 +461,7 @@
 			break;
 
 		default:
-			error(sprintf($lang_install['No such database type'], $db_type));
+			error(sprintf($lang_install['No such database type'], forum_htmlencode($db_type)));
 	}
 
 	// Create the database object (and connect/select db)
@@ -1746,15 +1748,15 @@
 	$alerts = array();
 	// Check if the cache directory is writable
 	if (!is_writable('./cache/'))
-		$alerts[] = '<li>'.$lang_install['No cache write'].'</li>';
+		$alerts[] = '<li><span>'.$lang_install['No cache write'].'</span></li>';
 
 	// Check if default avatar directory is writable
 	if (!is_writable('./img/avatars/'))
-		$alerts[] = '<li>'.$lang_install['No avatar write'].'</li>';
+		$alerts[] = '<li><span>'.$lang_install['No avatar write'].'</span></li>';
 
 	// Check if we disabled uploading avatars because file_uploads was disabled
 	if ($avatars == '0')
-		$alerts[] = '<li>'.$lang_install['File upload alert'].'</li>';
+		$alerts[] = '<li><span>'.$lang_install['File upload alert'].'</span></li>';
 
 	// Add some random bytes at the end of the cookie name to prevent collisions
 	$cookie_name = 'forum_cookie_'.random_key(6, false, true);
diff -urN punbb-1.3.2/admin/prune.php punbb-1.3.3/admin/prune.php
--- punbb-1.3.2/admin/prune.php	2008-10-28 14:12:01.000000000 +0000
+++ punbb-1.3.3/admin/prune.php	2009-04-17 12:51:23.000000000 +0000
@@ -4,7 +4,7 @@
  *
  * Allows administrators to delete older topics from the site.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.3.2/admin/ranks.php punbb-1.3.3/admin/ranks.php
--- punbb-1.3.2/admin/ranks.php	2008-10-30 12:12:19.000000000 +0000
+++ punbb-1.3.3/admin/ranks.php	2009-04-17 12:51:23.000000000 +0000
@@ -4,7 +4,7 @@
  *
  * Allows administrators to control the tags given to posters based on their post count.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.3.2/admin/reindex.php punbb-1.3.3/admin/reindex.php
--- punbb-1.3.2/admin/reindex.php	2008-10-28 14:12:01.000000000 +0000
+++ punbb-1.3.3/admin/reindex.php	2009-04-17 12:51:23.000000000 +0000
@@ -4,7 +4,7 @@
  *
  * Allows administrators to rebuild the index used to search the posts and topics.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.3.2/admin/reports.php punbb-1.3.3/admin/reports.php
--- punbb-1.3.2/admin/reports.php	2008-11-26 12:38:16.000000000 +0000
+++ punbb-1.3.3/admin/reports.php	2009-04-17 12:51:23.000000000 +0000
@@ -4,7 +4,7 @@
  *
  * Allows administrators and moderators to handle reported posts.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.3.2/admin/settings.php punbb-1.3.3/admin/settings.php
--- punbb-1.3.2/admin/settings.php	2008-12-04 17:00:41.000000000 +0000
+++ punbb-1.3.3/admin/settings.php	2009-04-17 12:51:23.000000000 +0000
@@ -4,7 +4,7 @@
  *
  * Allows administrators to control many of the settings used in the site.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
@@ -1262,16 +1262,16 @@
 	($hook = get_hook('aop_maintenance_output_start')) ? eval($hook) : null;
 
 ?>
+	<div class="main-subhead">
+		<h2 class="hn"><span><?php echo $lang_admin_settings['Maintenance head'] ?></span></h2>
+	</div>
 	<div class="main-content main-frm">
-		<div class="content-head">
-			<h2 class="hn"><span><?php echo $lang_admin_settings['Maintenance head'] ?></span></h2>
-		</div>
 		<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo forum_link($forum_url['admin_settings_maintenance']) ?>">
 			<div class="hidden">
 				<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['admin_settings_maintenance'])) ?>" />
 				<input type="hidden" name="form_sent" value="1" />
 			</div>
-			<div class="ct-box">
+			<div class="ct-box warn-box">
 				<p class="important"><?php echo $lang_admin_settings['Maintenance mode info'] ?></p>
 				<p class="warn"><?php echo $lang_admin_settings['Maintenance mode warn'] ?></p>
 			</div>
diff -urN punbb-1.3.2/admin/users.php punbb-1.3.3/admin/users.php
--- punbb-1.3.2/admin/users.php	2008-12-04 16:48:51.000000000 +0000
+++ punbb-1.3.3/admin/users.php	2009-04-17 12:51:23.000000000 +0000
@@ -4,7 +4,7 @@
  *
  * Allows administrators or moderators to search the existing users based on various criteria.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
@@ -1081,7 +1081,6 @@
 
 // Setup form
 $forum_page['group_count'] = $forum_page['item_count'] = $forum_page['fld_count'] = 0;
-$forum_page['form_action'] = '';
 
 // Setup breadcrumbs
 $forum_page['crumbs'] = array(
diff -urN punbb-1.3.2/delete.php punbb-1.3.3/delete.php
--- punbb-1.3.2/delete.php	2008-10-31 09:04:18.000000000 +0000
+++ punbb-1.3.3/delete.php	2009-04-17 12:51:23.000000000 +0000
@@ -4,7 +4,7 @@
  *
  * Deletes the specified post (and, if necessary, the topic it is in).
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.3.2/edit.php punbb-1.3.3/edit.php
--- punbb-1.3.2/edit.php	2008-11-08 17:53:23.000000000 +0000
+++ punbb-1.3.3/edit.php	2009-04-17 12:51:23.000000000 +0000
@@ -4,7 +4,7 @@
  *
  * Modifies the contents of the specified post.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
@@ -297,7 +297,7 @@
 <?php if ($can_edit_subject): ?>				<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
 					<div class="sf-box text required">
 						<label for="fld<?php echo ++ $forum_page['fld_count'] ?>"><span><?php echo $lang_post['Topic subject'] ?>  <em><?php echo $lang_common['Required'] ?></em></span></label><br />
-						<span class="fld-input"><input id="fld<?php echo $forum_page['fld_count'] ?>" type="text" name="req_subject" size="80" maxlength="70" value="<?php echo forum_htmlencode(isset($_POST['req_subject']) ? $_POST['req_subject'] : $cur_post['subject']) ?>" /></span>
+						<span class="fld-input"><input id="fld<?php echo $forum_page['fld_count'] ?>" type="text" name="req_subject" size="70" maxlength="70" value="<?php echo forum_htmlencode(isset($_POST['req_subject']) ? $_POST['req_subject'] : $cur_post['subject']) ?>" /></span>
 					</div>
 				</div>
 <?php endif; ($hook = get_hook('ed_pre_message_box')) ? eval($hook) : null; ?>				<div class="txt-set set<?php echo ++$forum_page['item_count'] ?>">
